import request from '@/utils/request'

// 查询每日行李查缉列表
export function listDailyLuggageCheckIn(query) {
  return request({
    url: '/blocked/daily/list',
    method: 'get',
    params: query
  })
}

// 查询每日行李查缉详细
export function getDailyLuggageCheckIn(id) {
  return request({
    url: `/blocked/daily/${id}`,
    method: 'get'
  })
}

// 新增每日行李查缉
export function addDailyLuggageCheckIn(data) {
  return request({
    url: '/blocked/daily',
    method: 'post',
    data: data
  })
}

// 修改每日行李查缉
export function updateDailyLuggageCheckIn(data) {
  return request({
    url: '/blocked/daily',
    method: 'put',
    data: data
  })
}

// 删除每日行李查缉
export function delDailyLuggageCheckIn(ids) {
  return request({
    url: `/blocked/daily/${ids}`,
    method: 'delete'
  })
}

// 导出每日行李查缉
export function exportDailyLuggageCheckIn(data) {
  return request({
    url: '/blocked/daily/export',
    method: 'post',
    data: data
  })
}

// 下载导入模板
export function downloadTemplate() {
  return request({
    url: '/blocked/daily/importTemplate',
    method: 'get',
    responseType: 'blob'
  })
}